/////////////////////////////////////////////////////////////////////////
//
// © University of Southampton IT Innovation Centre, 2017
//
// Copyright in this software belongs to University of Southampton
// IT Innovation Centre of Gamma House, Enterprise Road, 
// Chilworth Science Park, Southampton, SO16 7NS, UK.
//
// This software may not be used, sold, licensed, transferred, copied
// or reproduced in whole or in part in any manner or form or in or
// on any media by any person other than in accordance with the terms
// of the Licence Agreement supplied with the software, or otherwise
// without the prior written consent of the copyright owners.
//
// This software is distributed WITHOUT ANY WARRANTY, without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
// PURPOSE, except where stated in the Licence Agreement supplied with
// the software.
//
//      Created By :            Simon Crowle
//      Created Date :          20-Dec-2017
//      Created for Project :   FLAME
//
/////////////////////////////////////////////////////////////////////////

package uk.ac.soton.innovation.flame.clmc.monspec.test;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import uk.ac.soton.innovation.flame.clmc.monspec.test.base.BaseTest;



/**
 * BasicQueryTest class tests querying InfluxDB using data from BasicInputTest
 * 
 * IMPORTANT NOTE: for test automation under Maven, ensure your classes are labelled either
 * Test* or *Test. Not doing this means Maven will miss this test class.
 */
public class BasicQueryTest extends BaseTest
{
    public BasicQueryTest() 
    {}
    
    @BeforeClass
    public static void setUpClass() 
    {}
    
    @AfterClass
    public static void tearDownClass()
    {}
    
    @Before
    @Override
    public void setUp()
    {
        super.setUp();
    }
    
    @After
    @Override
    public void tearDown()
    {
        super.tearDown();
    }

    @Test
    public void querySoloSeries()
    {
        executeQueries( "host_resource_query", true );
    }
}
